Batch & Print Pro Index

Traction Software Presents

Batch & Print Pro

Register/Purchase

Introduction

Full List Of Features

What's New ?

General Walk-thru Guide

Known Issues/Bugs

Frequently Asked Questions

Setting up a Separator Template

.Job File Specification

Using the Directory Monitor

Using the Scheduler

Printing from different trays

Running from the Command Line

Contact

License


Using Batch & Print Pro from the command line

Using Batch & Print Pro from the command line

Command Line Parameters

-p option invokes the PRINT button
-q option waits for prints to print & quits Batch & Print Pro Application
-s option disables splash screen
-S option for silent operation, will suppress spooling to printer dialog, no files in list dialog & page count progress dialog.
-c(n) option repeats the files in the print list n times.
-C(n) option sets the number of copies on the printer device.
-d option saves the current printer settings at the beginning and resets the printer back to these settings at the end of the print job.
-l option clears the print log
-h(n) option holds/pauses the process for n seconds
-e<filename> option exports the print.log to a csv file ready for excel import.
-r option resets/clears the filelist
-m move file after print
-M for moving all files after print
-e email message
-w wait for prints to finish before printing next
-W0 start window restored (normal), -W1 start window minimized
-F force multiple instances of Batch & Print Pro (without warning)
-A set addon parameters
filename(s) note: ? * wildcards are permitted

Examples of usage:-

To print 2 documents and quit
"Batch And Print" 1.doc 2.doc -p -q
To print all .doc files and quit
"Batch And Print" *.doc -p -q
To change printer settings, print 2 documents and quit use .prs (printer settings) files
"Batch And Print" myjob.prs 1.doc 2.doc -p -q
To print from a previously saved job list and quit use .job files saved by batch & print pro interface or a simple text list.
"Batch And Print" docs.job -p -q
To change printer settings, print from a previously saved job list and quit
"Batch And Print" myjob.prs -p docs.job -p -q
To print multiple documents with different printer settings and quit
"Batch And Print" myjob1.prs 1.doc myjob2.prs 2.doc -p -q
To print your list twice use the -c option, note order will be 1.doc, 2.doc, 1.doc & 2.doc
 "Batch And Print" 1.doc 2.doc -c2 -p -q
To change the number of copies on the printer device use the -C option, note order will be 1.doc, 1.doc, 2.doc & 2.doc, note: use the -r option if you wish to do multiple -C options on the same command line (see below), note: the -C set's the printer when the command is issued, so any .prs files afterwards will cancel this out.
 "Batch And Print" 1.doc 2.doc -C2 -p -q
To reset/clear the file list for multi commands on the same command line use the -r option
 "Batch And Print" -C1 1.doc -p -r -C3 2.doc -p -q
To put back your default printer settings after a print job use -d option
 "Batch And Print" -d -C10 1.doc -p -q
To clear the print log, print some documents and export the print log to a .csv file
 "Batch And Print" -l 1.doc 2.doc -p -ec:\mylog.csv -q
move a file after print with the -m option.
"Batch And Print.exe" c:\test.pdf -p -mc:\zz\test.pdf -q
move all files after a wildcard print with the -M option.
"Batch And Print.exe" -Mc:\test c:\*.pdf -p -q
email user after print with the -E option, messeage is the email body, all other email parameters are taken from the email setup in Batch & Print Pro.
"Batch And Print.exe" c:\test.pdf -p -E"all done" -q
To print using the excel addon.
"Batch And Print" -Aexcel"-s1|-e9999" c:\test.xls -p -q

email: support@traction-software.co.uk

web site: http://www.traction-software.co.uk


Contact Us

Contact Information

Traction Software can be contacted below:-

Email: support@traction-software.co.uk

Web Site: http://www.traction-software.co.uk


Frequently Asked Questions

Frequently Asked Questions

Q. How do I run Batch & Print Pro automatically when the machine is rebooted.

A. Create a file shortcut to the main "Batch And Print.exe" in C:\Program Files\Traction Software\Batch & Print Pro\ directory and put it in C:\Documents and Settings\[YOURLOGINUSERNAME]\Start Menu\Programs\Startup

To force the ini files to a location set the 'start in' directory in the shortcut properties.

Q. When sorting in the directory monitor the .prs sorts also in and amongst

A. Always call your prs file a number i.e. 1.prs so it appears at the top of the file list

Q. Why does BPP carry on spooling whilst in out of paper status ?, my printer settings later are messing it up.

A. A new option has been added to the general setup called 'Wait for all prints to finish before changing printer settings', this will spool/print all files upto the next prs file then wait until all prints have finished before setting the next prs file and continuing spooling.

Q. Acrobat is been spawned multiple times, how do I stop that happening ?

A. This is a common problem with using full version of acrobat, Acrobat doesn't detect an open session and creates a new one for each print, please install latest version Acrobat Reader and setup to be your default print action and then only one copy of Acrobat Reader will be opened, the print association can be set in Batch & Print Pro options menu. (note: Acrobat Reader will setup as default print when installed)

Q. I Can't duplex print multiple copies of a file with an odd number of pages, because the first page of the 2nd copy goes on the back of the last page of the 1st copy.
A. Batch & Print Pro will do the same as right mouse "Print" in windows, to get around the problem add 1 blank page to print queue.

Q. What if I want multiple copies of a document set? If I specify a number of copies in the printer setup dialog box, what happens? That is, does it print the entire file set the specified number of times, or does it print each file in the file set the specified number of times before moving on to the next file in the set?
A. yes it will save your printer settings and use those, Batch & PRint Pro will always use your system printer settings. so for example if you want 5 copies of 2 files in the list, it will print file1 5 times then file2 5 times.
Q. How do I print all the contents of lots of directories in one go ?
A. If you are searching for a particular type of file then use File Menu --> Bulk load files.
One other way to do all of them in one swoop is to do a windows explorer search (Press F3) for *.* or just the documents you want e.g. *.pdf on your hard drive directory, then drag all the search results files into batch print pro + you can sort on search results by clicking the header before you drag and drop.

Q. What is the "Application print startup allowance" in General Setup Options ?
A. That option was introduced in v1.05 for directory monitor move files option, to allow for slow applications or large documents to be loaded before checking whether the print has started or not, if you are printing very large files or find that the source file has been moved before print then adjust this to a higher value, the default "Quick" is now 5,000 spooler queue checks the slowest is 30,000 spooler queue checks. (v1.04 was 1,000 spooler checks)

Q. What are the document amount limitations of the print list ?

A. As far as we know the Microsoft's list view limitation is 65,535, but you shouldn't need to do this many as you can save batch lists and print them in batches.

Q. What are the status codes on the main screen and what do they mean ?

A. The status codes are as follows:

Ready - ready to print - spooler status

Done - Finished printing or has been finished by user (deleted)

Printing - Currently printing on printer

Deleted - Deleted by user

Can't Print - No Print jobs or unable to print

 Error - Problem printing file, this could be an Shell Print Association problem, you can check this by right clicking on a file in windows explorer, if not "Print" option then no association is setup.

Q. What do the load/append/save/saveas batch file do and how do I use them ?

A. To save the list in the list window on the main screen, choose SaveAs or Save this then can be loaded at any time for your convenience to print automated lists.
The information saved to the .job file is separator page + printer setup, then all the items in the list

Q. When using the directory monitor how do I guarantee that my print isn't printed twice ?

A. Every print is saved in the print log, so when this re-occurs with the same filename and created/ modified date is exactly the same then it will not print.

Q. When using the directory monitor it won't print my file anymore.

A. See above, you can clear the print log by selecting 'clear' in the log menu.

Q. How do I change my printer settings within a print job list ?

A. Save the printer settings you want and just add the .prs file to the print list, Batch & Print Pro will automatically identify it as a printer setting change and will change the system default printer to that setting, this operational change can be made as many times as you want within a print run.

last updated: 23rd September 2003


List Of Features

Batch & Print List Of Features

Supports Windows 95, 98, ME, NT4 & Windows 2000

Drag and Drop support of files

Save, Load & Append Lists

Print Spooler Sequencing

Supports multiple doc formats, e.g. PDF, DOC, TXT, HTML, BMP, JPG, GIF
+ any other associated printable formats.

Separator page support.

List order organizing Options.

Print Scheduler, for automating reports to print at a specified time on a specified printer.

Directory Monitor, that watches folders for documents and prints them to a specified printer, ideal for automation!

Command line options for automation from other software applications.

System Printer setting changes during print.

Full HTML Help


Job File Specification

.Job File Specification

The job file specification can be in two different formats, a Batch & Print Pro created format or a plain text file of filenames, the Batch & Print Pro version supports separator where as plain text doesn't, the format is automatically detected by Batch & Print Pro.
1. Batch & Print Pro .Job file specification
The 1st 2 lines in the file are for the separator file i.e. filename and settings file, all after are the print filenames, if you wish to not print one then put a ~ before the filename, all lines must end with a return + linefeed. i.e. \r\n, try creating it and loading it back in BPP interface to verify it is the correct format, e.g. file:-

sep.pdf
sep.prs
tray1.prs
1.pdf
2.pdf
3.pdf
4.pdf
5.pdf

2. Plain text file .job file specification
This was introduced in version 1.14 of Batch & Print Pro, which is a simpler version of the above and is auto-detected by Batch & Print Pro, all filenames are added to the print list and must be terminated by one return character. i.e. /n, if you wish to not print one file then put a ~ before the filename, try creating it and loading it back in BPP interface to verify it is the correct format, e.g. file:-

tray1.prs
1.pdf
2.pdf
3.pdf
4.pdf
5.pdf


Introduction

Introduction

Batch & Print Pro is for batching documents as retainable lists which can be automatically printed in document sequence of your choice. All associated shell printable documents are supported, e.g. PDF, MS Word, HTML, Text Files, Image formats, Excel Spreadsheets, PowerPoint Presentations and many more.

Batch & Print Pro software monitors the spool queue of your chosen printer for seamless sequence printing to your desired choice, Other features of this software include Directory monitoring, Print scheduler, drag & drop of files for ease of use, save, load, append batch lists for later use, list ordering options, refresh lists to pickup new files, also supports separator pages between each file & it also recognizes number of pages in PDF files + lots more.

NOTE: Associated software is required to print documents, e.g. Acrobat Reader to print PDF

Evaluation Restrictions are:- nag screens & maximum 3 file items in list.


Known Issues

Known Issues / Bugs

There are no known bugs at this time only a few OS/ Printer issue's that are resolvable.

please email us if you find a bug or have any comments or suggestions. support@traction-software.co.uk

18th June 2003
In XP it shows the Windows Picture and Fax Viewer so doesn't automatically print
To fix this annoying problem with XP go into Windows explorer-->Tools Menu-->Folder Options-->File Types-->JPG (other file types)-->Advanced Button-->New Button, in the action put 'print' without the quotes & in the application used to perform put c:\winnt\system32\mspaint.exe /p "%1"
test it out by right mouse on a image file in windows and select print in the popup menu, note: some systems are c:\windows\system32\mspaint.exe /p "%1"
23rd May 2003
HTML files are not printing and they are associated to print action "C:\Program Files\Microsoft Office\Office\msohtmed.exe" /p %1
A possible fix is to change the print association to use: rundll32.exe C:\WINNT\System32\mshtml.dll,PrintHTML "%1"
in: Windows explorer-->Tools Menu-->Folder Options-->File Types-->HTM & HTML-->Advanced Button-->print-->Edit
If that doesn't work please make sure the C:\WINNT\System32\mshtml.dll path is in the correct directory.
16th December 2002
.prs file isn't switching printer settings
1. Changing settings on some printer names with spaces in the name causes it to fail, try renaming the printer name to e.g. HP5000 instead of 'HP Laser Jet 5000'
2. NT4 has problems and some non postscript drivers have problems changing settings also, the settings do change in BPP but the system settings (control panel) remain unchanged.
To get around this problem if you have say for e.g. two prs files, install two printer names for the same printer i.e. HP1 & HP2, set the settings for each as required then setup a .prs for both & use the .prs to switch default printers.
3. printer settings are changing but the print comes out on the default settings.
Some printer drivers have printer settings and device settings for the same settings. i.e. paper size A4 in both printer settings and device settings, if this is the case use solution 2 above to get around the problem. BPP can only change the printer settings not the device settings as the later is specific to that printer driver.
see 22nd January 2002 note below also.
16th December 2002
When the printer run's out of paper, the .prs settings aren't taking effect.
Try turning off auto select tray in the printer setup on the printer itself.
7th April 2002
Jpeg files never print
Microsoft's Photo Editor is the default associated program for printing JPEG files by default, but with some versions of windows it hangs when you right click on a file and click print, Batch & Print Pro uses the associated program to print in a controlled manner, to resolve this do the following:
In My Computer click Tools --> Folder Options --> File Types
look for JPEG, then click Advanced button, select the "Print" Action and click edit button.
it will probably read: "C:\Program Files\Common Files\Microsoft Shared\PhotoEd\PHOTOED.EXE" /p "%1"
if you are using NT then change that line to: "C:\WINNT\System32\mspaint.exe" /p "%1"
if you are not using NT then you will have to browse for the path to find mspaint on your system.
22nd January 2002
For some reason it's not switching printers
The answer to the Printer selection problem, is that no printer name should be more than 32 characters long, this is a microsoft standard, why 32 I do not know, I shall try and find a workaround but for now rename any printer name to less than 32 characters.

taken from MSDN:
DEVMODE Structure
The DEVMODE structure has the following form:
typedef struct _devicemode { /* dvmd */
TCHAR dmDeviceName[32];
dmDeviceName

Specifies the name of the device the driver supports; for example, PCL/HP LaserJet in the case of PCL/HP LaserJet®. This string is unique among device drivers.
3rd January 2002
ISSUE - When printing PDF files it shows "Error" in the status column.
This is now automatically detected in version 1.03 of Batch & Print Pro
A known issue with PDF files is that if you've had various versions of PDF Reader & Acrobat or no Acrobat Reader at all then no Shell Print is setup on your PC, to verify this is the problem right click on a PDF in explorer and see if the "Print" option is missing in the menu list.

To get around this problem one quick solution is to install the latest version of Acrobat Reader which will install the Shell Print option by default. http://www.adobe.com/products/acrobat/arupdate.html

You can alternatively setup your own Shell Print, by going into explorer View/Options/File Types/Adobe Acrobat Document or equivalent with the .pdf extension type and adding an Action: "print"
Application used to perform action:
"C:\Program Files\Adobe\Acrobat 5.0\Reader\AcroRd32.exe" /p /h "%1"

Change the version & path to your installed version & path of Acrobat Reader.

Another way if you're feeling brave then go into the registry and add the following key.
HKEY_CLASSES_ROOT\AcroExch.Document\shell\print\command
default value:
"d:\Program Files\Adobe\Acrobat 5.0\Reader\AcroRd32.exe" /p /h "%1"


License Agreement

License Information

THIS SOFTWARE IS SHAREWARE

Written By Traction Software (copyright), Email: support@traction-software.co.uk

"BATCH & PRINT PRO IS SUPPLIED AS IS. THE AUTHOR DISCLAIMS ALL WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DAMAGES WHATSOEVER INCLUDING DIRECT, INDIRECT, INCIDENTAL, CONSEQUENTIAL, LOSS OF BUSINESS PROFITS OR SPECIAL DAMAGES, WHICH MAY RESULT FROM THE USE OF BATCH & PRINT PRO EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES."

You are hereby licensed to: use the Shareware Version of the software indefinitely; give exact copies of the original Shareware version to anyone; and distribute the Shareware version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above unless you register the software for the amount stated in the registration html which will allow you to use this software fully.

1 license is required per installation.

You are granted a limited license to use Batch & Print Pro, to copy and distribute it as per the guidelines stated.


Printing from multiple printer trays

Printing from multiple printer trays

Below are two example tray printing scenarios

Printing using the separator option from a different tray.
NOTE: the separator is between every page, if you want to print after n number of pages then see other scenario below.
Click on print setup, select your printer settings for the main part of your print and click 'OK'
Save printer settings to a filename, e.g. main.prs
now click on print setup again, and select your other tray printer settings for the separator page, click 'OK'
Save printer settings to a filename, e.g. sep.prs
Now click on 'Options'/Separator page setup, choose the separator page to print and click on and browse for you printer settings file, e.g. sep.prs
Now click 'load printer settings' and select main.prs
Add your documents to the print list as usual.
click 'PRINT'

You could also add printer settings to list, e.g. main.prs or others during the print.

Printing from multiple trays.
For example if I had 100 A4 documents but between every 10 I wanted a blue A3 card which is in tray 2 (A3 tray)
Click on print setup, select your printer settings for the main a4 part of your print and click 'OK'
Save printer settings to a filename, e.g. mainA4.prs
now click on print setup again, and select your other tray printer settings for the A3 separator page, click 'OK'
Save printer settings to a filename, e.g. sepA3.prs
Now add mainA4.prs to the list to print, add your first 10 documents, add sepA3.prs to the list also then add your separator document, e.g. sepa3.doc (see screen shot below)
REPEAT above for documents 11-20, 21-30, 31-40 etc etc
click 'PRINT' or save your job settings for future use.

email: support@traction-software.co.uk

web site: http://www.traction-software.co.uk


Register/Purchase

Register/Purchase

Batch & Print Pro can be registered through a secure site on www.reg.net, regnet id: 10066, click this link: https://secure.reg.net/product.asp?ID=10066 to Order your personal serial number, the total price is $49.95 US dollars per installation (including updates for free for version 1.xx).
You can also register by phone (see below)

This will ensure future development on this product as Traction Software have spent many hours of development & wish to continue development in the future.

Once you have the Serial Number provided by www.reg.net then please click the registered site in the Batch & Print Pro 'Register' menu, Enter your registered name & click register, then enter your serial number.

Regnet Information:-

Regnet will issue you with a Serial Number unique to you which will enable the software to be fully functional.

Any problems or suggestions then email Traction Software on: support@traction-software.co.uk

Q: What kinds of payment do regnet accept?

A: RegNet can accept all kinds of payment. They take the following credit cards: MasterCard, Visa, American Express, Novus (Discover). For high ticket items (over $100) they can issue an invoice against a purchase order for payment by check or credit card. We also accept money orders or checks (payable to Wintronix or RegNet).

A listing of easy to register software from around the world
Links to download evaluation, demos or shareware versions Easy online registration of most software
Secure transactions for Netscape and Internet Explorer users
Toll-free number for U.S. registrations, Dial 1 800 999-2734
Regular number for international registrations, Dial +1 719 576-0123
Fax Orders, Dial +1 (719) 623-0399
All major credit cards accepted
24 hour international access


Setting up a Separator Template

Setting up a Separator Template

Separator Template is a new feature introduced in version 1.16
This is a powerful addition to Batch & Print Pro, it allows you to create page headers as separators generated on the fly, you can also have a static page as normal.

The format type of the template could be anything, we recommend rtf, txt & html.
Binary document formats are not recommended as the information is replaced by the program on the fly.

NOTE: the separator is before every document printed.
An example template is installed in the Batch & Print Pro installation directory called: sep_template.rtf

The separator format:-
The next file printing must be in this specific format to pull in the information from the filename.
AAAA.BBBB.CCCC.DDDD.doc
or
AAAA_BBBB_CCCC_DDDD.doc

the filename is separated into sections using the dot '.' or underscore '_', you can have as many sections as you want in the filename, the Separator page file is also required please use a dummy file that doesn't exist.

In the template file the following keywords are replaced:-
[FILENAME1] = section1 (i.e. AAAA),
[FILENAME2] = section2 (i.e. BBBB) etc etc

[FULLFILENAME] = the full next
filename to print (i.e. D:\MYDOCS\AAAA.BBBB.CCCC.DDDD.doc)

[FILETITLE] = the filetitle of the full path filename. (i.e. it doesn't include the directory structure)

[MM/DD/YY] = the printed date.

[HH:MM:SS] = the printed time.

The sep_template.rtf example is below:-
----------------------------------------------------------------------------------------------------------------------------------

PLEASE DELIVER TO:

[FILENAME4]

[FILENAME2]

[FILENAME1]

Source File: [FILETITLE]

Printed: [MM/DD/YY] [HH:MM:SS]

PLEASE DELIVER TO:

[FILENAME4]

----------------------------------------------------------------------------------------------------------------------------------

The Batch & Print Pro - Separator page example setup is below:-

email: support@traction-software.co.uk

web site: http://www.traction-software.co.uk


Using The Directory Monitor

Using The Directory Monitor

Download The Latest Batch & Pro Software from:

http://www.traction-software.co.uk

Getting Started - Setting the Directory
Click on Menubar / Options / Directory Monitor Setup.
the 'Directory Monitoring' screen will appear like the screen shot below.
Click the Browse button on the right, and select a directory of your choice, any new documents copied to this folder will be automatically printed to your destination printer, the log file keeps track of what has been printed, if a file is updated then it will be printed if the document is of a different size or if the created/modified time stamp has changed, you can turn off this feature by deactivating the "Always check log before print"
Select your printer to print to from that monitored directory.
Browse for a after print move directory if required, note: "Always check log before printing" must be set on if you do not specify a move directory, this is to stop the same document printing over and over again.
Click Overwrite Old or Rename Old, Overwrite old will overwrite when moving the file to the move directory.
Rename Old will check to see if that file exists in the move directory, if not it will move to that filename, otherwise it will check for filename_vn.ext until a slot is found and will move to that filename.
e.g. readme.txt will become readme_v1.txt if in the move directory if readme.txt already exists.
Set the threshold at: is to limit the number of files printed at once, this is usually used when monitoring many directories at once to even the spread.
1. if you specify threshold value >0 and 'No Order' - the scan for files stops when it meets the number of files required.
2. if you specify threshold value >0 and a sort order, it add's all files to the list, sorts, then deletes all > threshold value from the list in ready status so you are left with the threshold value of files as status 'yes'
3. if you specify threshold value 0 then all are added.
note: 2. will take longer than 1. to process.
Transfer Check Delay is for detecting files in currently in transit, when set to 0 Batch & Print Pro will do two quick checks on the filesize of the file to print and will also check whether it has a sharing violation, if the size is different or sharing is true then it will skip the file until next monitor time around.
If the value is 1-10 then at second 0 it will get the filesize, at second e.g. 10 it will get the filesize and compare, if they are different then it will skip this file until next time, if they are the same size it will check for a sharing violation, if false then it will print.
If possible code your PDF Writer or other application to NO SHARE WRITE ONLY so it won't be printed if it's still been written to.

Setting up the default printer.

Click 'Printer' button, the following window will appear.

Select a printer of your choice & Click OK.

then click 'Add to list' button.

Click 'Save' when finished.

email: support@traction-software.co.uk

web site: http://www.traction-software.co.uk

Last Updated 19/03/2003


Using The Scheduler

Using The Scheduler

Download The Latest Batch & Pro Software from:

http://www.traction-software.co.uk

Setting times to print
Ok, Click on Menubar / Options / Scheduler.
the 'Scheduler' screen will appear like the screen shot below.
Click the Browse button on the right/middle, and select a job list file of your choice.
Choose a destination printer (see down page)
Use the calendar window to select a specific date, then enter time and click 'Add'
Alternatively select from one of the drop down boxes, if you wish to setup a print time of say 'Every Day' then click the Other drop down box and select every day, then enter a time and click 'Add'

Any specific date & times from the calendar selection are deleted after printing, if a time is after then this is also printed as the application might have been avertedly stopped.

Setting up the default printer.

Click 'Change Printer' button, the following window will appear.

Select a printer of your choice & Click OK.

then click 'Add' button.

Click 'Save/Close' when finished.

email: support@traction-software.co.uk

web site: http://www.traction-software.co.uk

Last Updated 29/09/2001


Walk-thru Guide

Walk-thru Guide

Download The Latest Batch & Pro Software from:

http://www.traction-software.co.uk

Getting Started
Ok presuming you've just installed Batch & Print Pro, you should have a icon on your desktop with the Batch & Print Pro Logo, like the below left screen shot.
the 'Batch & Print Pro' is the main program, double click to open program.

screen shot below.

Using The Interface to add document files to print
Now let's move on to add document files into the list, in this walk-thru example I will use a file I prepared earlier but you can use your own document files.
Open up explorer and drag a document file into the list window in the middle of the screen. (we have used c:\test.pdf as an example)

Note that page numbers are recognized in PDF files.
If you want to add many files then select as many files as you want and drag & drop them all at once.
to do this use CTRL & SHIFT keys when selecting files in explorer.

Setting up the default printer.

Click 'File' Menu & Print Setup, the following window will appear.

Select a printer of your choice & Click OK.

Printing...
Click on Print button, the following print dialog will appear.

the 'Sending print to spool queue...' window will disappear when the print has finished spooling to the printer.

email: support@traction-software.co.uk

web site: http://www.traction-software.co.uk

Last Updated 24/09/2001


What's New In This Version ?

What's New In This Version ?

v1.36 21/11/2003

1. updated separator to ignore .prs and take next filename afterwards for filename information.

2. added option to add a printer change delay allowance (in 10ths of a second) in general setup,
for prints not printing to correct printer scenario on slow/busy machines,
initial time is 1/2 second, windows allows 2 seconds for change to broadcast to applications running.

3. added word 11 (2003) support for error windows detection.

4. added excel addon support.

5. replaced page count with rapid pdf page count routines, much faster.

6. changed html addon and msg addon code to stop print popup problems.

7. command line wildcard fix for NT4 when no dir found.

8. added print to file ability & included print to file setup options.

9. fixed an association problem to Acrobat Reader 6.

10. added Russian print box click support.

1.35 10/09/2003

1. added -F to command line to force multiple instances of BPP, usage "Batch And Print" -F
2. updated for PDF Addon plus
3. added close acrobat at end of printed list to options.

1.34 24/08/2003

1. added support for Doc Addon, supports .doc & .rtf
2. added PRINTRANGE1-5 scan from filename to populate addon's start, end parameters for Doc Addon
3. now extracts pages from doc addon, DLL export GetPageCount
4. added -W option to command line for startup window to be -W0 = restored, -W1 = minimized (for installer)
5. fixed a clear log/print log checkboxes wrong way around
6. updated installer

1.33 10/08/2003

1. updated close acrobat when quit to include Adobe Reader 6 & Acrobat Pro 6
2. added command line -M for moving all files after print, usage -Mc:\test c:\*.pdf -p -q
3. fixed a scan bug in the command line
4. eliminate 'no files' message if command arguments are used.
5. added -E option for email message to command line, usage test.pdf -p -E"all done" -q
6. added save current window size in startup
7. added 'm' key to maximize screen
8. added underscore as well as dot filenames to separator generate on the fly
9. if program is running twice it will warn you

1.32 07/07/2003

1. fix if file set to 'no' then don't print separator
2. added subdirs scans as optional in bulk load
3. fixed separator counting on setting line.
4. in monitor mode, if sub directories is checked and move to dir then the destination retains folder structure.
5. added filename wild cards to command line option
6. added error.log to monitor check if turned on in general options
7. added support for IMAGE pack addon
8. added support for MSG addon
9. added checks for Norwegian print dialogs
10. support for Acrobat 6 Reader (Adobe Reader) & Acrobat 6 Professional
11. added a check for printer name in scheduler
12. fixed a scheduler error box appearing trying to set wrong printer (from dir monitor)
13. -m command line option now accepts quoted filenames
14. added printer name to logging
15. change the association setup to associate with Adobe Reader 6
16. fixed a scheduler problem every day not moving to next day
17. added internal printing of PRN files
18. added dynamic sizing log viewers
19. added email notification support

1.31 16/04/2003

1. fixed the max 32 chars printer filename problems
2. fixed a logging problem

1.30 13/04/2003 - Major Update

1. extended the error log filename length
2. added -m to the command line options to move a file after print.
usage: "Batch And Print.exe" c:\test.pdf -p -mc:\zz\test.pdf -q
3. addded threshold limit to monitor
4. added sub directories option in monitor
5. fixed a problem with separator file fullfilename not coming out right in rtf file, todo with \'s
6. added plugin addon for HTML
7. added plugin addon for TIFF
8. added plugin addon for PDF
9. added custom plugin addon + SDK
10. added page count for all documents whilst printing
11. added every hour to scheduler
12. added internal Postscript printing (via windows spool queue)

1.21 02/02/2003

1. fixed a problem with sorting.
2. fixed a move & rename problem with NT4.
3. added support for FinePrint
4. extended the log filename field to 160 characters.
5. fixed a date selection problem with the scheduler
6. clicks word & excel errors in NT Locked mode.
7. added clear print and clear error log in startup settings.
8. added optional multi-copies prompt in global options
9. added set selected to yes & no in right mouse action for selected items only.
10. added error messaging to setting prs file

1.20 03/01/2003

1. fixed a problem with anything with acrobat name in window holding spooling up.
2. added wait for printer to finish printing all prints before changing settings
3. fix slider all way to fast not saving.
4. improved match to spool print routine, reduced the amount of 'can't print errors'

1.19 27/11/2002

1. added set system default printer to print settings on ok button.
2. increased wait time for printer settings to propagate through applications running.
3. fixed a problem with print log check not always freeing file and memory
4. fixed sorting problem in monitor mode.
5. changed printer selection.
6. added lower case short pathname match for tiff files to stop can't print error
7. fix for can't print using ACDSee, "print job" spooler filename is always used in ACDSee spooling.
8. fixed problem with separator page template info not saving.
9. suppressed acrobat file errors.
10. added can't print errors to error.log & bad pdf files to error.log also.
11. fixed a problem loading prs files with spaces in the pathname.
12. fixed a scheduler missing one item

1.18 11/11/2002

1. fixed a bug in directory monitor new prs file.
2. added extra wait for default printer change

1.17 07/11/2002 - 10/11/2002

1. added Chinese support for IE and MS Word
2. fixed 1.16 update problem with ini file pause parameter change
3. added click error box in IE
4. updated security
5. updated directory browser for network paths
6. added toggle sorting for ascending order and descending order
7. added PRS (printer settings) support in directory monitor

1.16 06/10/2002 - 29/10/2002

1. added FDF printing support
2. also added FDF association option to acrobat reader.
3. fixed a problem with monitoring the root of a directory \\ in the path.
4. added template support for the separator page
5. fixed some can't print errors

1.15 25/09/2002

1. fixed a problem with page count +1 page
2. auto detect missing files when loading from batch file.
3. removed default button from print.
4. added selected toggles in Action menu, set all to 'yes' and set all to 'no' also.
5. trial now allows 3 bulk files to be loaded.
6. changed pause time in options so you can now enter your own pause n seconds.
7. added click microsoft excel macro buttons when they appear.
8. added click no to excel save box
9. changed trial limit to 5 files

1.14 30/06/2002 - 27/07/2002

1. added error logging instead of message prompt (optional)
2. added support for italian and german print boxes
3. fixed a little niggle with the drag and drop, said scheduler was active.
4. improved scanning to show directory
5. improved speed of pdf page count and now displays progress bar when dragging and dropping
6. job files are now multifunctional, just takes a simple list of files with one end of line character or a batch & print pro list
7. added clear print log to command line option -l
8. added export print log to command line option -e<filename>
9. added hold/pause for n seconds to command line, option -h(number)
10. added copies on command line for setting copies on printer device. -C(number)
11. added set printer back to previous settings (default) command line option, -d
12. added quiet mode to options, suppresses spooling to printer dialog, no files in list dialog & page count progress dialog.
13. added quiet mode to command line options also, as option -S
14. added -r option to reset/clear the filelist.
15. Help updated and new section of .job file spec

1.13 22/04/2002 - 27/04/2002

1. fixed a problem switching printers.
2. added copies in command line options. i.e. -c3 will print the list 3 times
3. fixed a problem with scheduler clearing items in the list
4. fixed a problem switching printers with separator file.
5. added number of copies to interface in general setup.
6. added more information to error status codes.

1.12 27/03/2002 - 31/03/2002

1. improved pdf page recognition
2. added 1 second close wait for paintshop pro in global options
3. added menu's to directory monitor screen for small screens
4. added support for 8.3 spooled filenames, for html & htm files.
5. tweaked directory monitor controls.
6. fixed a problem with showing files as ready in directory monitor that had printer previously.
7. improved delete key handling in directory monitor.
8. can now move the monitor window about by press left mouse anywhere and dragging.

1.11 24/03/2002

1. added startup option to remove splash screen
2. added startup options to maximize, minimize or default size
3. added option to associate .job files with Batch & Print Pro
4. added -s option in command line to remove startup splash screen

1.10 15/03/2002

1. improved bulk load, much quicker & copes better with busy files & inaccessible files.

1.09 11/03/2002

1. updated load printer settings for using different printers
2. updated directory monitor for robustness.
3. added TIF to Bulk Load list.
4. fixed separator printing after print set.

1.08 08/02/2002 - 14/02/2002

1. fixed memory leak in spooling.
2. improved page recognition.
3. added extra option for masking the page number to 5 digits for sorting.
4. fixed a problem with printing 2 or more files with same name in the spool queue,
this was causing a move file error as it was picking up the status of the previous print.
5. added dynamic extra time allowance depending on file size.
6. added page count to log file.
7. added export log to .csv file
8. added page total count in log export.
9. fixed a crash when printing powerpoint docs

1.07 05/02/2002 - 08/02/2002

1. fixed association box showing when running pdf's from command line.
2. improved reliability of directory monitor when moving files.
3. added printer info to print box.
4. added clear option to separator page.

1.06 04/02/2002

1. fixed mixup in directory monitor parameters with type and sortation.

1.05 19/01/2002 - 03/02/2002

1. general improvements when adding lots of files
2. added bulk load in file menu for any file type
3. added extra sorting options in directory monitor
4. added current & extra sorting options to main screen menu
5. added filter options for directory monitor, e.g. so only looks for pdf or any other of your choice
6. added General Setup Options menu
7. added close acrobat on app close option
8. added turn page count off for pdf documents option
9. added Application time allowance for slow starting apps/slow pc's/large documents slider
10. added option to remove from list when done status
11. fix increased app timeout time when moving docs, this was causing move file before print if app was too slow to start printing.

1.04 08/01/2002 - 17/01/2002

1. added transfer check delay in seconds to directory monitor for files in transit checking.
2. added ability to run commandline filenames with spaces, e.g. "my print.pdf" on command line options
3. added ability to turn off check log in directory monitor
4. added alternative register on planet pdf's http://www.epublishstore.com

1.03 04/01/2002 - 05/01/2002

1. Directory Monitor On file move checks for old file, if so overwrites or renames old file.
2. Directory monitor update to check for files currently being written,
if so waits till next time around before checking again/trying to print.
3. Added code to check for .pdf print association & take the necessary action to set it up.

1.02 18/12/2001 - 27/12/2001

1. Added ability to save/load printer settings and add them in the
list wherever you want to change the printer.
2. Added save/load to system default printer.
3. Fixed some size problems in the directory monitor.
4. Added command line options to automate printing from another application

1.01 17/12/2001

1. fixed win95 processor error problem
2. made main window scaleable
3. added move to dir after printed in directory monitor setup
4. fixed ignore sub directories in directory to monitor
5. added clear print log to menu